> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Virtual Account Detail



## OpenAPI

````yaml openapi.json get /virtual-accounts
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /virtual-accounts:
    parameters: []
    get:
      tags:
        - Virtual Accounts
      summary: Virtual Account Detail
      parameters:
        - name: customerReference
          in: query
          required: false
          example: JoYQy5X6pb4F6t6P1Lj2lsknxcIhYCyRiwmA
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '616'
            ETag:
              schema:
                type: string
              example: W/"268-qnkR+c36KzsjBHxBxuDFZoTORG8"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Sun, 30 Jun 2024 01:44:33 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Virtual Account Detail - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      tier:
                        type: integer
                      status:
                        type: string
                      bankCode:
                        type: string
                        format: color
                      bankName:
                        type: string
                      accountName:
                        type: string
                      accountNumber:
                        type: string
                        format: utc-millisec
                      createdAt:
                        type: string
                        format: date-time
                      expiryDuration:
                        type: integer
                      maxUsage:
                        type: integer
                      amount:
                        type: integer
                      merchantId:
                        type: string
                      settlementCharge:
                        type: integer
                      initiationReference:
                        type: string
                      webhookURL:
                        type: string
                        format: uri
                      currentUsage:
                        type: integer
                      customerMetadata:
                        type: object
                        properties:
                          key:
                            type: string
                      customerReference:
                        type: string
                      metadata:
                        type: object
                        properties:
                          key:
                            type: string
              example:
                status: true
                data:
                  id: c0cb1edf-d198-47ad-b3f5-e66667153a21
                  tier: 3
                  status: UNUSED
                  bankCode: '999270'
                  bankName: Xpress Wallet
                  accountName: Omar Marmoush
                  accountNumber: '4444678944'
                  createdAt: '2024-06-30T01:34:02.334Z'
                  expiryDuration: 30
                  maxUsage: 1
                  amount: 2000
                  merchantId: f8cfbb4e-fc53-4f0f-a7b9-c07ef6b6e4b8
                  settlementCharge: 130
                  initiationReference: HEN-CfbETISw9mzgnGRl6BF9zUiZ7
                  webhookURL: https://webhook.site/e55e2441-6805-4800-9f1f-21606513dad6
                  currentUsage: 0
                  customerMetadata:
                    key: value
                  customerReference: CfbETISw9mzgnGRl6BF9zUiZ7
                  metadata:
                    key: value
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````